Package org.apache.sling.feature.launcher.spi

# Interface Launcher

All Known Implementing Classes:
  `FrameworkLauncher`

public interface Launcher

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`Launcher.LauncherClassLoader`

## Method Summary

Modifier and Type
Method
Description
`default Launcher.LauncherClassLoader`
`createClassLoader()`
`void`
`prepare(LauncherPrepareContext context, org.apache.sling.feature.ArtifactId frameworkId, org.apache.sling.feature.Feature app)`
`int`
`run(LauncherRunContext context, ClassLoader cl)`

## Method Details

### prepare

void prepare(LauncherPrepareContext context, org.apache.sling.feature.ArtifactId frameworkId, org.apache.sling.feature.Feature app) throws Exception

Throws:
  `Exception`

### run

int run(LauncherRunContext context, ClassLoader cl) throws Exception

Throws:
  `Exception`

### createClassLoader

default Launcher.LauncherClassLoader createClassLoader()